VFS_ACL_XATTR(8)

NAME
vfs_acl_xattr - Save NTFS-ACLs in Extended Attributes (EAs)

SYNOPSIS

vfs objects = acl_xattr

DESCRIPTION

This VFS module is part of the samba(7) suite.

The vfs_acl_xattr VFS module stores NTFS Access Control Lists (ACLs) in Extended Attributes (EAs). This enables the full mapping of Windows ACLs on Samba servers.

The ACLs are stored in the Extended Attribute security.NTACL of a file or directory. This Attribute is not listed by getfattr -d filename. To show the current value, the name of the EA must be specified (e.g. getfattr -n security.NTACL filename).

This module is stackable.

OPTIONS

acl_xattr:ignore system acls = [yes|no]
    When set to yes, a best effort mapping from/to the POSIX ACL layer will not be done by this module. The default is no, which means that Samba keeps setting and evaluating both the system ACLs and the NT ACLs. This is better if you need your system ACLs be set for local or NFS file access, too. If you only access the data via Samba you might set this to yes to achieve better NT ACL compatibility.

AUTHOR

The original Samba software and related utilities were created by Andrew Tridgell. Samba is now developed by the Samba Team as an Open Source project similar to the way the Linux kernel is developed.